diff --git a/web/pgadmin/static/js/backgrid.pgadmin.js b/web/pgadmin/static/js/backgrid.pgadmin.js
index 0d01e5691..02b2ed47b 100644
--- a/web/pgadmin/static/js/backgrid.pgadmin.js
+++ b/web/pgadmin/static/js/backgrid.pgadmin.js
@@ -1770,6 +1770,10 @@ define([
             showToday: true,
           },
           toolbarPlacement: 'top',
+          widgetPositioning: {
+            horizontal: 'auto',
+            vertical: 'bottom',
+          },
           keepOpen: false,
         }, evalF(this.column.get('options')), {
           keyBinds: {
diff --git a/web/pgadmin/static/scss/_pgadmin.style.scss b/web/pgadmin/static/scss/_pgadmin.style.scss
index f04cea8f9..3eae9a480 100644
--- a/web/pgadmin/static/scss/_pgadmin.style.scss
+++ b/web/pgadmin/static/scss/_pgadmin.style.scss
@@ -884,8 +884,8 @@ body {
 table.table-noouter-border {
   border: none !important;
 
-  tbody tr:last-of-type{
-    & td {
+  & > tbody > tr:last-of-type{
+    &  > td {
       border-bottom: $table-border-width solid transparent;
     }
   }
